PETSc version 3.17.4
Fix/Edit manual page

# DMPlexPointLocalRef

return read/write access to a point in local array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointLocalRef(DM dm,PetscInt point,PetscScalar *array,void *ptr)

Not Collective

### Input Parameters

| dm | - DM defining topological space
| point | - topological point
| array | - array to index into

### Output Parameter

| ptr | - address of reference to point data, type generic so user can place in structure

### Note

### A common usage when data sizes are known statically

     struct { PetscScalar foo,bar,baz; } *ptr;

     DMPlexPointLocalRef(dm,point,array,&ptr);

     ptr->foo = 2; ptr->bar = 3; ptr->baz = 5;

### See Also

DMGetLocalSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointLocal(), DMPlexPointGlobalRef()

### Level

intermediate

### Location

src/dm/impls/plex/plexpoint.c

### Examples

src/dm/impls/plex/tutorials/ex11.c.html
src/snes/tutorials/ex17.c.html
src/ts/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages